Bug 883514 - (inception) Review Request: inception - A fireWire physical memory manipulation tool
Review Request: inception - A fireWire physical memory manipulation tool
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On: libforensic1394
Blocks: FE-SECLAB
  Show dependency treegraph
 
Reported: 2012-12-04 13:47 EST by Fabian Affolter
Modified: 2014-09-11 15:33 EDT (History)
3 users (show)

See Also:
Fixed In Version: inception-0.2.4-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-04 17:03:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
misc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2012-12-04 13:47:32 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/inception.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/inception-0.2.2-1.fc17.src.rpm

Project URL: http://www.breaknenter.org/projects/inception/

Description:
Inception is a FireWire physical memory manipulation and hacking tool
exploiting IEEE 1394 SBP-2 DMA. The tool can unlock (any password accepted)
and escalate privileges to Administrator/root on almost any machine you have
physical access to.

Inception aims to provide a stable and easy way of performing intrusive and
non-intrusive memory hacks on live computers using FireWire SBP-2 DMA. It is
primarily intended to do its magic against computers that utilize full disk
encryption such as BitLocker, FileVault, TrueCrypt or Pointsec.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4756772

rpmlint output:
[fab@laptop11 SRPMS]$ rpmlint inception-0.2.2-1.fc17.src.rpm 
inception.src: W: spelling-error Summary(en_US) fireWire -> fire Wire, fire-wire, firewater
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

[fab@laptop11 noarch]$ rpmlint inception-0.2.2-1.fc17.noarch.rpm 
inception.noarch: W: spelling-error Summary(en_US) fireWire -> fire Wire, fire-wire, firewater
inception.noarch: W: no-manual-page-for-binary incept
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Fedora Account System Username: fab
Comment 1 Michael Scherer 2012-12-06 16:37:36 EST
Hi,

the tarball is not downloadable ( ie, if there is a commit, it will be a different tarball )

Source0:        https://github.com/carmaa/inception/archive/master.tar.gz

See https://fedoraproject.org/wiki/Packaging:SourceURL#Troublesome_URLs
Comment 2 Michael Scherer 2012-12-06 17:10:00 EST
It also need aply and modprobe 
https://github.com/carmaa/inception/blob/master/inception/sound.py
https://github.com/carmaa/inception/blob/master/inception/firewire.py

and libforensic1394 

( and I am not sure if that need some ExcludeArch, but that's a detail )
Comment 3 Michael Scherer 2012-12-06 17:32:12 EST
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[!]: Requires correct, justified where necessary.
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[!]: Package functions as described, was not able to test as i need first
the requires to be fixed.
[!]: License field in the package spec file matches the actual license.
license should be GPL v3+, not LGPL v3+

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
     Note: Cannot find licenses in rpm(s)
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v3 or later)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in
     /home/misc/checkout/git/FedoraReview/883514-inception/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package is not relocatable.
[!]: Requires correct, justified where necessary.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 61440 bytes in 3 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[!]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (master.tar.gz)
[x]: SourceX is a working URL.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: inception-0.2.2-1.fc18.noarch.rpm
inception.noarch: W: spelling-error Summary(en_US) fireWire -> fire Wire, fire-wire, firewater
inception.noarch: W: no-manual-page-for-binary incept
1 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint inception
inception.noarch: W: spelling-error Summary(en_US) fireWire -> fire Wire, fire-wire, firewater
inception.noarch: W: no-manual-page-for-binary incept
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
inception (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)



Provides
--------
inception:
    inception



MD5-sum check
-------------
https://github.com/carmaa/inception/archive/master.tar.gz :
  CHECKSUM(SHA256) this package     : 7bf25bf001a665b3516ae60c8f7f9c07088781d2057f0f95b803ccb2e6567bf0
  CHECKSUM(SHA256) upstream package : 7bf25bf001a665b3516ae60c8f7f9c07088781d2057f0f95b803ccb2e6567bf0


Generated by fedora-review 0.2.0 (Unknown) last change: Unknown
Buildroot used: fedora-18-x86_64
Command line :./try-fedora-review -b 883514
Comment 4 Fabian Affolter 2013-01-07 10:08:44 EST
Thanks for the comments, Michael. libforensic1394 is done. As soon as possible I will provide an updated package.
Comment 5 Fabian Affolter 2013-02-03 17:50:54 EST
(In reply to comment #2)
> It also need aply and modprobe 

added
 
> ( and I am not sure if that need some ExcludeArch, but that's a detail )

Yes, it's 'ExcludeArch'. There is no firewire on s390(x)

(In reply to comment #3)
> Issues:
> =======
> [!]: Requires correct, justified where necessary.
> [!]: If the source package does not include license text(s) as a separate
> file
>      from upstream, the packager SHOULD query upstream to include it.

Upstream licenses are shipped 

> [!]: Package functions as described, was not able to test as i need first
> the requires to be fixed.

libforensic1394 is available.

> [!]: License field in the package spec file matches the actual license.
> license should be GPL v3+, not LGPL v3+

License changed

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4925726

rpmlint output:
[fab@laptop11 SRPMS]$ rpmlint inception-0.2.4-1.fc18.src.rpm 
inception.src: W: spelling-error Summary(en_US) fireWire -> fire Wire, fire-wire, firewater
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

[fab@laptop11 noarch]$ rpmlint inception-0.2.4-1.fc18.noarch.rpm 
inception.noarch: W: spelling-error Summary(en_US) fireWire -> fire Wire, fire-wire, firewater
inception.noarch: W: no-manual-page-for-binary incept
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Updated files:
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/inception.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/inception-0.2.4-1.fc18.src.rpm
Comment 6 Michael Scherer 2013-02-13 16:07:26 EST
seems you ship gplv3 and lgplv3 in %doc, and the src.rpm is not the same as the spec.

But I was able to run incept, so the last point of the review is ok.
Comment 7 Fabian Affolter 2013-02-24 03:23:11 EST
I uploaded the SRPM again.
Comment 8 Fabian Affolter 2013-02-24 03:26:58 EST
I uploaded the SRPM again.
Comment 9 Fabian Affolter 2013-05-06 05:12:08 EDT
New Package SCM Request
=======================
Package Name: inception
Short Description: A fireWire physical memory manipulation tool
Owners: fab
Branches: F18 F19
InitialCC:
Comment 10 Jon Ciesla 2013-05-06 07:57:00 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2013-05-23 12:28:14 EDT
inception-0.2.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/inception-0.2.4-1.fc18
Comment 12 Fedora Update System 2013-05-23 12:28:27 EDT
inception-0.2.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/inception-0.2.4-1.fc19
Comment 13 Fedora Update System 2013-05-23 15:58:53 EDT
inception-0.2.4-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 14 Fedora Update System 2013-06-04 17:03:43 EDT
inception-0.2.4-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 15 Fedora Update System 2013-06-04 23:18:21 EDT
inception-0.2.4-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 16 Fabian Affolter 2014-09-11 15:11:57 EDT
Package Change Request
======================
Package Name: inception
New Branches: epel7
Owners: fab 
InitialCC:
Comment 17 Jon Ciesla 2014-09-11 15:33:26 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.